/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.communication.jmx.rmi;

import java.io.IOException;
import java.io.Serializable;
import java.net.InetSocketAddress;
import java.net.Socket;

import sun.rmi.transport.proxy.RMIDirectSocketFactory;

/**
 * @author Roland Naudin - EBM WebSourcing
 */
public class TimedRMIDirectConnectorFactory extends RMIDirectSocketFactory implements Serializable {

    /**
     * Serial UID
     */
    private static final long serialVersionUID = 3896210582663452456L;

    private final int connectionTimeout;

    private final String currentContainerDeclaredHost;

    public TimedRMIDirectConnectorFactory(int connectionTimeout, String currentContainerDeclaredHost) {
        this.connectionTimeout = connectionTimeout;
        this.currentContainerDeclaredHost = currentContainerDeclaredHost;
    }

    @Override
    public Socket createSocket(String host, int port) throws IOException {
        
        if (this.currentContainerDeclaredHost.equals(host)) {
            return super.createSocket(host, port);
        }
        
        Socket s = new Socket();
        s.connect(new InetSocketAddress(host, port), connectionTimeout);

        return s;
    }

}
