/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.container.exception;


/**
 * A Fractal component is not found
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ComponentNotFoundException extends ContainerCtrlException {

    private static final long serialVersionUID = -8349752515845054909L;

    private static final String MESSAGE_PATTERN = "The Fractal component '%s' was not found.";

    /**
     * The name of the Fractal component missing
     */
    private final String componentName;

    /**
     * @param componentName
     *            The name of the Fractal component missing
     */
    public ComponentNotFoundException(final String componentName) {
        super(String.format(MESSAGE_PATTERN, componentName));
        this.componentName = componentName;
    }

    /**
     * @return The name of the Fractal component missing
     */
    public String getComponentName() {
        return this.componentName;
    }

}
