/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.jbi.messaging.routing.module;

import java.util.List;

import org.ow2.petals.jbi.messaging.exchange.PetalsMessageExchange;
import org.ow2.petals.microkernel.api.jbi.messaging.exception.RoutingException;
import org.ow2.petals.microkernel.transport.util.TransportSendContext;

/**
 * @author Roland Naudin - EBM WebSourcing
 */
public interface SenderModule {

    /**
     * Elect a list of candidate endpoints to be destination of the exchange.
     * 
     * @param seletedEndpoints
     *            the selected list that can be filled or restrained
     * @param exchange
     *            the exchange to send
     */
    void electEndpoints(List<TransportSendContext> electedDestinations, PetalsMessageExchange exchange)
            throws RoutingException;
}
