/**
 * Copyright (c) 2013-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.server.exception;

/**
 * An error occurs during the Fractal composite/component instantiation.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class CreateComponentException extends PetalsCompositeCtrlException {

    private static final long serialVersionUID = -1151519512503376800L;

    private static final String MESSAGE_BASE = "An error occurs creating the composite/component";

    private static final String MESSAGE_TEMPLATE = "%s '%s'";

    private static final String MESSAGE_TEMPLATE_WITH_ERRMSG = "%s '%s' (%s)";

    /**
     * @param fcComponent
     *            Fractal component/composite name
     * @param message
     *            The message of the error cause
     */
    public CreateComponentException(final String fcComponent, final String message) {
        super(String.format(MESSAGE_TEMPLATE_WITH_ERRMSG, MESSAGE_BASE, fcComponent, message));
    }

    /**
     * @param fcComponent
     *            Fractal component/composite name
     * @param cause
     *            The error cause
     */
    public CreateComponentException(final String fcComponent, final Throwable cause) {
        super(String.format(MESSAGE_TEMPLATE, MESSAGE_BASE, fcComponent), cause);
    }

}
