/**
 * Copyright (c) 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.transport.local.monitoring;

import org.ow2.petals.probes.api.enums.ExecutionStatus;
import org.ow2.petals.probes.api.key.ProbeKey;

/**
 * Local transporter monitoring service interface.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public interface LocalTransporterMonitoring extends LocalTransporterMonitoringMBean {

    /**
     * Update the monitoring probe about a new pending message sent.
     */
    public ProbeKey incPendingMessageProbe();

    /**
     * Update the monitoring probe about an ended message sent.
     */
    public void endsPendingMessagesProbe(final ProbeKey probeKey, final ExecutionStatus status);

}
