/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.communication.jndi.tribe.connection;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

import javax.naming.NameClassPair;
import javax.naming.NamingException;

import org.junit.Test;
import org.ow2.petals.microkernel.communication.jndi.client.naming.NamingEnumerationImpl;

/**
 * Test of the NamingEnumerationImpl.
 * @author ddesjardins - EBM WebSourcing
 */
public class NamingEnumerationImplTest {

    @Test
	public void testClose() throws NamingException {
		NamingEnumerationImpl<NameClassPair> names = new NamingEnumerationImpl<NameClassPair>(
				new NameClassPair[0]);
		names.close();
		//assertNull(names.iterator);
	}

    @Test
	public void testHasMore() throws NamingException {
		NamingEnumerationImpl<NameClassPair> names = new NamingEnumerationImpl<NameClassPair>(
				new NameClassPair[0]);
		assertFalse(names.hasMore());
		names = new NamingEnumerationImpl<NameClassPair>(new NameClassPair[1]);
		assertTrue(names.hasMore());
	}

    @Test
	public void testHasMoreElements() throws NamingException {
		NamingEnumerationImpl<NameClassPair> names = new NamingEnumerationImpl<NameClassPair>(
				new NameClassPair[0]);
		assertFalse(names.hasMoreElements());
		names = new NamingEnumerationImpl<NameClassPair>(new NameClassPair[1]);
		assertTrue(names.hasMoreElements());
	}

    @Test
	public void testNext() throws NamingException {
		NamingEnumerationImpl<String> names = new NamingEnumerationImpl<String>(
				new String[] { "test" });
		assertEquals(names.next(), "test");
	}

    @Test
	public void testNextElement() throws NamingException {
		NamingEnumerationImpl<String> names = new NamingEnumerationImpl<String>(
				new String[] { "test" });
		assertEquals(names.nextElement(), "test");
	}
}
