/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.container.utest;

import org.objectweb.fractal.fraclet.annotations.Interface;
import org.objectweb.fractal.fraclet.annotations.Lifecycle;
import org.objectweb.fractal.fraclet.types.Step;
import org.ow2.petals.jbi.descriptor.original.generated.Component;
import org.ow2.petals.jbi.descriptor.original.generated.Jbi.SharedLibrary;
import org.ow2.petals.jbi.descriptor.original.generated.ServiceAssembly;
import org.ow2.petals.microkernel.api.container.ComponentLifeCycle;
import org.ow2.petals.microkernel.api.container.Installer;
import org.ow2.petals.microkernel.api.container.ServiceAssemblyLifeCycle;
import org.ow2.petals.microkernel.api.container.SharedLibraryLifeCycle;
import org.ow2.petals.microkernel.container.ContainerController;
import org.ow2.petals.microkernel.container.exception.ContainerCtrlException;

/**
 * A implementation of {@link ContainerController} for unit tests
 * 
 * @author Christophe DENEUX - Linagora
 */
@org.objectweb.fractal.fraclet.annotations.Component(provides = @Interface(name = "service", signature = ContainerController.class))
public class ContainerControllerImpl implements ContainerController {

    @Override
    public Installer createInstaller(final Component componentDescription) throws ContainerCtrlException {

        return null;
    }

    @Override
    public ComponentLifeCycle createComponentLifeCycle(final Component componentDescription)
            throws ContainerCtrlException {

        return null;
    }

    @Override
    public void removeComponentLifeCycle(final String name) throws ContainerCtrlException {

        // NOP
    }

    @Override
    public void removeInstaller(final String name) throws ContainerCtrlException {

        // NOP
    }

    @Override
    public ServiceAssemblyLifeCycle createServiceAssemblyLifeCycle(final ServiceAssembly sa)
            throws ContainerCtrlException {

        return null;
    }

    @Override
    public void removeServiceAssemblyLifeCycle(final String saName) throws ContainerCtrlException {

        // NOP
    }

    @Override
    public SharedLibraryLifeCycle createSharedLibraryLifeCycle(final SharedLibrary sl) throws ContainerCtrlException {

        return null;
    }

    @Override
    public void removeSharedLibraryLifeCycle(final String slName, final String slVersion) throws ContainerCtrlException {

        // NOP
    }

    /**
     * Initialization of the Fractal component.
     */
    @Lifecycle(step = Step.START)
    public void start() {
    }

    /**
     * Stop of the Fractal component.
     * 
     */
    @Lifecycle(step = Step.STOP)
    public void stop() {
        // NOP
    }

    @Override
    public void stopAllJbiArtefacts() throws ContainerCtrlException {

        // NOP
    }

    @Override
    public void startAllJbiArtefacts() throws ContainerCtrlException {

        // NOP
    }

}
