/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.extension.utest;

import org.objectweb.fractal.fraclet.annotations.Component;
import org.objectweb.fractal.fraclet.annotations.Interface;
import org.ow2.petals.microkernel.api.extension.InstallationExtension;
import org.ow2.petals.microkernel.api.extension.InstallationExtensionException;
import org.ow2.petals.microkernel.api.extension.PetalsPostExtensionController;

/**
 * Implementation of a post-extension providing an installation extension for unit test.
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
@Component(provides = @Interface(name = PetalsPostExtensionController.INST_EXT_SRV_ITF_NAME, signature = InstallationExtension.class))
public class InstallationExtensionImpl implements InstallationExtension {

    @Override
    public void onInstallation(final String installedArchiveFilename) throws InstallationExtensionException {
        // NOP
    }

    @Override
    public void onInstallationUndo(final String installedArchiveFilename) throws InstallationExtensionException {
        // NOP
    }

    @Override
    public void onUninstallation(final String uninstalledArchiveFilename) throws InstallationExtensionException {
        // NOP
    }

    @Override
    public void onUninstallationUndo(final String uninstalledArchiveFilename) throws InstallationExtensionException {
        // NOP
    }

}
