/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.server;

import static org.easymock.classextension.EasyMock.createMock;
import static org.easymock.classextension.EasyMock.replay;
import static org.easymock.classextension.EasyMock.verify;

import java.util.logging.Logger;

import org.junit.Test;

import com.ebmwebsourcing.easycommons.log.LoggingUtil;

/**
 * @author Roland Naudin - EBM WebSourcing
 */
public class TestPetalsStopThread {

    @Test
    public void testStart() throws Exception {
        PetalsServerImpl petalsServer = createMock(PetalsServerImpl.class);
        PetalsStopThread petalsStopThread = new PetalsStopThread(petalsServer, new LoggingUtil(Logger.getLogger("")));

        petalsServer.stop();

        replay(petalsServer);
        petalsStopThread.start();
        petalsStopThread.join();
        verify(petalsServer);
    }
}
