/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.utest.mock.communication;

import java.lang.management.ManagementFactory;

import javax.management.MBeanServer;

import org.objectweb.fractal.fraclet.annotations.Component;
import org.objectweb.fractal.fraclet.annotations.Interface;
import org.objectweb.fractal.fraclet.annotations.Lifecycle;
import org.objectweb.fractal.fraclet.types.Step;
import org.ow2.petals.basisapi.exception.PetalsException;
import org.ow2.petals.jmx.api.api.JMXClient;
import org.ow2.petals.microkernel.api.communication.JMXService;

/**
 * A implementation of {@link JMXService} for unit tests
 * 
 * @author Christophe DENEUX - Linagora
 */
@Component(provides = @Interface(name = "service", signature = JMXService.class))
public class JMXServiceImpl implements JMXService {

    /**
     * {@inheritDoc}
     */
    public JMXClient getJMXClient(final String containerName) throws PetalsException {
        return null;
    }

    @Override
    public void returnJMXClient(final String containerName, final JMXClient petalsJmxClient) throws PetalsException {
        // NOP
    }

    /**
     * {@inheritDoc}
     */
    public MBeanServer getLocalJMXServer() {
        return ManagementFactory.getPlatformMBeanServer();
    }

    @Lifecycle(step = Step.START)
    public void start() {
        // NOP
    }

    @Lifecycle(step = Step.STOP)
    public void stop() {
        // NOP
    }

}
