/**
 * Copyright (c) 2015-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.utest.mock.jbi.messaging.endpoint;

import java.util.Collection;
import java.util.List;
import java.util.Map;

import javax.jbi.servicedesc.ServiceEndpoint;
import javax.xml.namespace.QName;

import org.objectweb.fractal.fraclet.annotations.Component;
import org.objectweb.fractal.fraclet.annotations.Interface;
import org.ow2.petals.clientserverapi.jbi.messaging.endpoint.exception.EndpointDirectoryException;
import org.ow2.petals.jbi.servicedesc.endpoint.Location;
import org.ow2.petals.jbi.servicedesc.endpoint.PetalsServiceEndpoint;
import org.ow2.petals.microkernel.api.jbi.messaging.endpoint.EndpointDirectoryService;
import org.w3c.dom.Document;
import org.w3c.dom.DocumentFragment;

/**
 * A implementation of {@link EndpointRegistry} for unit tests
 * 
 * @author Christophe DENEUX - Linagora
 */
@Component(provides = @Interface(name = EndpointDirectoryService.FRACTAL_SRV_ITF_NAME, signature = EndpointDirectoryService.class))
public class EndpointDirectoryImpl implements EndpointDirectoryService {

    @Override
    public List<Map<String, Object>> getAllInternalEndpoints() {
        return null;
    }

    @Override
    public List<Map<String, Object>> getAllExternalEndpoints() {
        return null;
    }

    @Override
    public List<Map<String, Object>> getAllEndpoints() {
        return null;
    }

    @Override
    public Document getDescription(ServiceEndpoint endpoint) throws EndpointDirectoryException {
        return null;
    }

    @Override
    public String getDescription(String serviceName, String endpointName) throws EndpointDirectoryException {
        return null;
    }

    @Override
    public List<PetalsServiceEndpoint> getInternalEndpoints() throws EndpointDirectoryException {
        return null;
    }

    @Override
    public List<PetalsServiceEndpoint> getExternalEndpoints() throws EndpointDirectoryException {
        return null;
    }

    @Override
    public List<PetalsServiceEndpoint> getEndpoints() throws EndpointDirectoryException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint activateEndpoint(QName serviceName, String endpointName, QName[] interfaces,
            Document description, Location location, boolean canOverwrite) throws EndpointDirectoryException {
        return null;
    }

    @Override
    public void deactivateEndpoint(final String endpointName, final QName serviceName)
            throws EndpointDirectoryException {
        // NOP
    }

    @Override
    public void registerConnection(final QName consInterface, final QName provService, final String provEndpoint)
            throws EndpointDirectoryException {
        // NOP
    }

    @Override
    public void registerConnection(final QName consService, final String consEndpoint, final QName provService,
            final String provEndpoint) throws EndpointDirectoryException {
        // NOP
    }

    @Override
    public void deregisterConnection(final QName consInterface, final QName provService, final String provEndpoint)
            throws EndpointDirectoryException {
        // NOP
    }

    @Override
    public void deregisterConnection(final QName consService, final String consEndpoint, final QName provService,
            final String provEndpoint) throws EndpointDirectoryException {
        // NOP
    }

    @Override
    public Collection<PetalsServiceEndpoint> getInternalEndpointsForInterface(final QName interfaceName)
            throws EndpointDirectoryException {
        return null;
    }

    @Override
    public Collection<PetalsServiceEndpoint> getInternalEndpointsForService(final QName serviceName)
            throws EndpointDirectoryException {
        return null;
    }

    @Override
    public Collection<PetalsServiceEndpoint> getExternalEndpointsForInterface(final QName interfaceName)
            throws EndpointDirectoryException {
        return null;
    }

    @Override
    public Collection<PetalsServiceEndpoint> getExternalEndpointsForService(final QName serviceName)
            throws EndpointDirectoryException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint getEndpoint(QName service, String name) throws EndpointDirectoryException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint getInternalEndpoint(final QName service, final String name) throws EndpointDirectoryException {
        return null;
    }

    @Override
    public PetalsServiceEndpoint getExternalEndpoint(QName service, String name) throws EndpointDirectoryException {
        return null;
    }

    @Override
    public void registerExternalEndpoint(ServiceEndpoint serviceEndpoint, Location location, Document document,
            boolean canOverwrite) throws EndpointDirectoryException {

    }

    @Override
    public void deregisterExternalEndpoint(ServiceEndpoint externalEndpoint) throws EndpointDirectoryException {

    }

    @Override
    public ServiceEndpoint resolveEndpointReference(DocumentFragment epr) throws EndpointDirectoryException {
        return null;
    }
}
