/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.util;

import java.io.File;
import java.net.URI;

import org.junit.Before;

/**
 * @author Christophe Deneux - EBM WebSourcing
 */
public abstract class AbstractMavenTest {

    /**
     * Test resources directory of the project
     */
    protected File testResourcesDir;

    /**
     * Build output directory of the project
     */
    protected File targetDir;

    @Before
    public void setUp() throws Exception {
        String baseDirPath = this.getClass().getResource(".").getPath();
        baseDirPath = baseDirPath.substring(0, baseDirPath.indexOf("target"));
        baseDirPath = baseDirPath.substring(baseDirPath.indexOf(":") + 1);
        final File baseDir = new File(URI.create("file:" + baseDirPath));

        this.testResourcesDir = new File(baseDir, "src" + File.separator + "test" + File.separator
                + "resources");
        this.targetDir = new File(baseDir, "target");
    }
}
