/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.util;

import static org.junit.Assert.assertNotNull;

import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.TemporaryFolder;
import org.ow2.petals.microkernel.api.util.NioUtil;

/**
 * Class used to test the NioUtil class.
 * 
 * @author ddesjardins - EBM WebSourcing
 * @author Christophe DENEUX - Linagora
 */
public class NioUtilTest {

    @Rule
    public TemporaryFolder tempFolder = new TemporaryFolder();

    /**
     * Copy a file to another file
     * 
     * @throws IOException
     */
    @Test
    public void testCopyStreamToFile() throws IOException {
        final URL fileToCopy = Thread.currentThread().getContextClassLoader()
                .getResource("fileToCopy.txt");
        assertNotNull(fileToCopy);
        final InputStream isFileToCopy = Thread.currentThread().getContextClassLoader()
                .getResourceAsStream("fileToCopy.txt");
        assertNotNull(isFileToCopy);

        final File destFile = this.tempFolder.newFile("destFile.txt");

        NioUtil.copyStreamToFile(isFileToCopy, destFile);
    }

}
